# This makefile was generated by gnu_gama_dep version 1.04
# for GNU Gama subproject 'gama-local' for the gnu platform
#
# ------------------------------------------------------------------
#
#CC        = gcc
ifeq ($(findstring gcc,$(CC)),gcc)
CFLAGS    += -pipe
endif
CFLAGS    += 
#CXX       = g++
ifeq ($(findstring g++,$(CXX)),g++)
CXXFLAGS  += -pipe
endif
CXXFLAGS  += -I../../..
OBJ        = o
LIBR       = @ar -r libgama.a
RANLIB     = ranlib libgama.a
LINK       = $(CXX) #g++
LFLAGS    += -o
LIBS      += -lexpat
MAKE       = make
LIBGAMA    = libgama.a
P_GAMA_L   = gama-local
P_GAMA_G3  = gama-g3
#
# ------------------------------------------------------------------
#

SRC=../../../
OBJDIR=

$(P_GAMA_L) : gama-local.$(OBJ) ../lib/$(LIBGAMA)
	$(LINK) $(LFLAGS)$(P_GAMA_L) gama-local.$(OBJ) $(LIBS) ../lib/$(LIBGAMA)

gama-local.$(OBJ) : ../../linux/gama-local/gama-local-main.h $(SRC)gamalib/angobs.h $(SRC)gamalib/bpoint.h $(SRC)gamalib/cluster.h $(SRC)gamalib/exception.h $(SRC)gamalib/float.h $(SRC)gamalib/language.h $(SRC)gamalib/linearization.h $(SRC)gamalib/local/acord.h $(SRC)gamalib/local/acord/reduce_observations.h $(SRC)gamalib/local/acord/reduce_to_ellipsoid.h $(SRC)gamalib/local/gamadata.h $(SRC)gamalib/local/lcoords.h $(SRC)gamalib/local/lpoint.h $(SRC)gamalib/local/network.h $(SRC)gamalib/local/network_chol.h $(SRC)gamalib/local/network_gso.h $(SRC)gamalib/local/network_svd.h $(SRC)gamalib/local/pobs/bearing.h $(SRC)gamalib/local/pobs/format.h $(SRC)gamalib/local/results/text/adjusted_observations.h $(SRC)gamalib/local/results/text/adjusted_unknowns.h $(SRC)gamalib/local/results/text/approximate_coordinates.h $(SRC)gamalib/local/results/text/error_ellipses.h $(SRC)gamalib/local/results/text/fixed_points.h $(SRC)gamalib/local/results/text/general_parameters.h $(SRC)gamalib/local/results/text/network_description.h $(SRC)gamalib/local/results/text/outlying_abs_terms.h $(SRC)gamalib/local/results/text/reduced_observations.h $(SRC)gamalib/local/results/text/reduced_observations_to_ellipsoid.h $(SRC)gamalib/local/results/text/residuals_observations.h $(SRC)gamalib/local/results/text/test_linearization.h $(SRC)gamalib/local/results/text/underline.h $(SRC)gamalib/local/revision.h $(SRC)gamalib/matvec.h $(SRC)gamalib/observation.h $(SRC)gamalib/pointid.h $(SRC)gamalib/revision.h $(SRC)gamalib/xml/adjusted/coordinates.h $(SRC)gamalib/xml/gkfparser.h $(SRC)gnu_gama/adj/adj.h $(SRC)gnu_gama/adj/adj_base.h $(SRC)gnu_gama/adj/adj_chol.h $(SRC)gnu_gama/adj/adj_chol_implementation.h $(SRC)gnu_gama/adj/adj_gso.h $(SRC)gnu_gama/adj/adj_svd.h $(SRC)gnu_gama/e3.h $(SRC)gnu_gama/ellipsoid.h $(SRC)gnu_gama/ellipsoids.h $(SRC)gnu_gama/exception.h $(SRC)gnu_gama/g3/g3_model.h $(SRC)gnu_gama/g3/g3_observation.h $(SRC)gnu_gama/g3/g3_parameter.h $(SRC)gnu_gama/g3/g3_point.h $(SRC)gnu_gama/gon2deg.h $(SRC)gnu_gama/intfloat.h $(SRC)gnu_gama/list.h $(SRC)gnu_gama/model.h $(SRC)gnu_gama/obsdata.h $(SRC)gnu_gama/outstream.h $(SRC)gnu_gama/pointbase.h $(SRC)gnu_gama/radian.h $(SRC)gnu_gama/sparse/intlist.h $(SRC)gnu_gama/sparse/sbdiagonal.h $(SRC)gnu_gama/sparse/smatrix.h $(SRC)gnu_gama/statan.h $(SRC)gnu_gama/version.h $(SRC)gnu_gama/xml/baseparser.h $(SRC)gnu_gama/xml/dataobject.h $(SRC)gnu_gama/xml/encoding.h $(SRC)gnu_gama/xml_expat.h $(SRC)matvec/array.h $(SRC)matvec/choldec.h $(SRC)matvec/covmat.h $(SRC)matvec/gso.h $(SRC)matvec/inderr.h $(SRC)matvec/mat.h $(SRC)matvec/matbase.h $(SRC)matvec/matvec.h $(SRC)matvec/matvecbase.h $(SRC)matvec/memrep.h $(SRC)matvec/svd.h $(SRC)matvec/symmat.h $(SRC)matvec/transmat.h $(SRC)matvec/transvec.h $(SRC)matvec/vec.h $(SRC)matvec/vecbase.h
	$(CXX) $(CXXFLAGS) -I. -c ../../linux/gama-local/gama-local.cpp

